# Update

## Manual upgrade[​](https://docs.realio.network/fullnode/update#manual-upgrade) <a href="#manual-upgrade" id="manual-upgrade"></a>

The following instructions explain how to **manually upgrade** the node:

1. Stop your node

```bash
 sudo systemctl stop realio-networkd
```

2. Backup your validator files:

```bash
cp ~/.realio-network/config/priv_validator_key.json ~/priv_validator_key.json
cp ~/.realio-network/config/node_key.json ~/node_key.json
cp ~/.realio-network/data/priv_validator_state.json ~/priv_validator_state.json
```

3. Go into the directory in which you have installed the `Realio Network` repo. If you have followed the installation instructions and didn't change the path, it should be `/home/$USER/realio-network`:

```bash
cd <installation-path> 

# e.g.
# cd ~/realio-network
```

4. Now, update the `realio-networkd` software:

```bash
git fetch --tags
git checkout tags/$(git describe --tags `git rev-list --tags --max-count=1`)
make build && make install
```

{% hint style="success" %}
**SELECT THE VERSION YOU NEED**

The above commands checks out the latest release that has been tagged on our repository. If you wish to check out a specific version instead, use the following commands:

1. List all the tags:

   ```bash
   git tags --list
   ```
2. Checkout the tag you want:

   ```bash
   git checkout tags/<tag>
   # Example: git checkout tags/v4.1.0
   ```

{% endhint %}

{% hint style="success" %}
**NOTE**

If you have issues at this step, please check that you have the [latest stable version](https://golang.org/dl/) of Go installed.
{% endhint %}

### Cosmovisor

{% hint style="warning" %}
**CAUTION**

If your node is using cosmovisor, and you've followed the above procedure to manually upgrade, don't forget to move the upgraded binary inside the cosmovisor folder by typing the following command:

```bash
cp build/realio-networkd ~/.realio-network/cosmovisor/current/bin/realio-networkd
```

Then check if the version of cosmovisor matches with the latest realio-networkd version by running:

```bash
cosmovisor version
```

{% endhint %}

## Automatic upgrade (with Cosmovisor)[​](https://docs.realio.network/fullnode/update#automatic-upgrade-with-cosmovisor) <a href="#automatic-upgrade-with-cosmovisor" id="automatic-upgrade-with-cosmovisor"></a>

Below it is explained how to prepare your node to be able to **automatically upgrade** itself.

Cosmovisor handles the automatic upgrades that happens after the *upgrade governance proposal* passes. If during an upgrade your node doesn't have enough space left or if the cosmovisor backup it is taking too much time, you can do the following:

1. Open your `realio-networkd` editor:

   <pre class="language-bash"><code class="lang-bash"><a data-footnote-ref href="#user-content-fn-1">sudo</a> systemctl edit realio-networkd --full
   </code></pre>
2. Add the following line after the last `Environment` line:

   ```bash
   Environment="UNSAFE_SKIP_BACKUP=true"
   ```

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.realio.network/running-a-full-node/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
